Page MenuHomePhabricator

As a project lead, I'd like documentation on how to set up a Shiny dashboard so that I can visualise the project's key performance indicators
Closed, ResolvedPublic4 Estimated Story Points

Description

Shiny dashboards are awesome, and we want more people to use them! Since we're the experts in lightweight visualisations right now, let's write some documentation somewhere that tells other interested parties how to set up a Shiny dashboard like ours.

I'm agnostic as to where the documentation should live. mediawiki.org, or the repository for our dashboards, are both viable options.

Event Timeline

Deskana created this task.Aug 5 2015, 7:56 PM
Deskana raised the priority of this task from to Medium.
Deskana updated the task description. (Show Details)
Deskana added a project: Discovery.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 7:56 PM
Deskana updated the task description. (Show Details)Aug 5 2015, 7:59 PM
Deskana set Security to None.
Abraham added a subscriber: Abraham.Aug 6 2015, 9:03 AM

We could do a tech talk on this as well, if it'd be helpful?

mpopov claimed this task.Aug 12 2015, 10:08 PM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov edited a custom field.

Started working on this: https://wikitech.wikimedia.org/wiki/Building_a_Shiny_Dashboard

Feel free to yell at me if I have chosen the wrong home for the documentation. Wikitech seemed appropriate to me.

Which puppet role/module is used to install this? (Seems the host is for the search dashboard is https://wikitech.wikimedia.org/wiki/Nova_Resource:Shiny-r .)

It's a Vagrant rather than Puppet role (the Operations team did not want R support to be a factor. See https://gerrit.wikimedia.org/r/#/c/231458/

Thx that helps a lot. Can you link to where the operations team said that or who from ops has that opinion? I wonder what the procedure for security maintenance is.

I found and linked on gerrit the previous attempt, which seems to contain the discussion I wanted to read.

Deskana closed this task as Resolved.Aug 31 2015, 6:40 PM
Deskana moved this task from Done to Resolved on the Discovery-Analysis (Current work) board.